/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/


#include "torkconfig.h"
#include <klocale.h>
#include <qtooltip.h>
#include <qpopupmenu.h>
#include <kdebug.h>
#include <dcopref.h>
#include <kconfig.h>
#include <kmessagebox.h>
#include <klocale.h>


void QuickConfig::init()
{
    QuickConfigure->setCurrentItem(TorkConfig::quickConfigure());

    if (QuickConfigure->currentItem() >= 6){
        if (QuickConfigure->currentItem() == 6)
            kcfg_RemoteTorAddress->setEnabled(true);
        kcfg_RemoteTorPort->setEnabled(true);
    }else{
        kcfg_RemoteTorAddress->setEnabled(false);
        kcfg_RemoteTorPort->setEnabled(false);
    }

}



void QuickConfig::QuickConfigure_activated( int item)
{
    emit configChanged(item);
    kcfg_RemoteTorAddress->setEnabled(false);

    if (item >= 6){
        if (QuickConfigure->currentItem() == 6)
            kcfg_RemoteTorAddress->setEnabled(true);
        kcfg_RemoteTorPort->setEnabled(true);
        kcfg_ApplySettingsToInstance->setEnabled(true);
    }else{
        kcfg_RemoteTorPort->setEnabled(false);
        kcfg_ApplySettingsToInstance->setEnabled(false);
    }
}

void
QuickConfig::destroy()
{

//         configureKonqi();

}

// <connections>
//     <connection>
//         <sender>QuickConfigure</sender>
//         <signal>activated(int)</signal>
//         <receiver>QuickConfig</receiver>
//         <slot>QuickConfigure_activated(int)</slot>
//     </connection>
// </connections>
// <includes>
//     <include location="local" impldecl="in implementation">quickconfig.ui.h</include>
// </includes>
// <signals>
//     <signal>settingsChanged()</signal>
//     <signal>configChanged(const int &amp;)</signal>
// </signals>
// <slots>
//     <slot>QuickConfigure_activated( int item )</slot>
// </slots>
// <functions>
//     <function access="private" specifier="non virtual">init()</function>
//     <function access="private" specifier="non virtual">destroy()</function>
// </functions>
// <layoutdefaults spacing="6" margin="11"/>
// </UI>
