#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './usability.ui'
**
** Created: Sun Sep 30 10:08:38 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "usability.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qheader.h>
#include <qlistview.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

#include "./usability.ui.h"

/*
 *  Constructs a Usability as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
Usability::Usability( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "Usability" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, sizePolicy().hasHeightForWidth() ) );
    UsabilityLayout = new QGridLayout( this, 1, 1, 11, 6, "UsabilityLayout"); 

    groupBox13 = new QGroupBox( this, "groupBox13" );
    groupBox13->setColumnLayout(0, Qt::Vertical );
    groupBox13->layout()->setSpacing( 6 );
    groupBox13->layout()->setMargin( 11 );
    groupBox13Layout = new QGridLayout( groupBox13->layout() );
    groupBox13Layout->setAlignment( Qt::AlignTop );

    LongLivedPorts = new QListView( groupBox13, "LongLivedPorts" );
    LongLivedPorts->addColumn( tr2i18n( "Services " ) );
    LongLivedPorts->setSelectionMode( QListView::Extended );
    LongLivedPorts->setResizeMode( QListView::AllColumns );

    groupBox13Layout->addWidget( LongLivedPorts, 0, 2 );

    clearSelected = new QPushButton( groupBox13, "clearSelected" );

    groupBox13Layout->addWidget( clearSelected, 1, 2 );

    textLabel11 = new QLabel( groupBox13, "textLabel11" );

    groupBox13Layout->addWidget( textLabel11, 0, 0 );
    spacer1 = new QSpacerItem( 100, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    groupBox13Layout->addItem( spacer1, 0, 1 );

    UsabilityLayout->addWidget( groupBox13, 1, 0 );

    groupBox12 = new QGroupBox( this, "groupBox12" );
    groupBox12->setColumnLayout(0, Qt::Vertical );
    groupBox12->layout()->setSpacing( 6 );
    groupBox12->layout()->setMargin( 11 );
    groupBox12Layout = new QGridLayout( groupBox12->layout() );
    groupBox12Layout->setAlignment( Qt::AlignTop );

    PushAdd = new QPushButton( groupBox12, "PushAdd" );

    groupBox12Layout->addWidget( PushAdd, 1, 3 );

    NewHost = new QLineEdit( groupBox12, "NewHost" );

    groupBox12Layout->addWidget( NewHost, 1, 2 );

    kcfg_TrackHostExitsExpire = new QSpinBox( groupBox12, "kcfg_TrackHostExitsExpire" );

    groupBox12Layout->addWidget( kcfg_TrackHostExitsExpire, 2, 2 );

    TrackHostExits = new QListView( groupBox12, "TrackHostExits" );
    TrackHostExits->addColumn( tr2i18n( "Domains                " ) );
    TrackHostExits->setResizeMode( QListView::AllColumns );

    groupBox12Layout->addMultiCellWidget( TrackHostExits, 0, 0, 2, 3 );

    textLabel10 = new QLabel( groupBox12, "textLabel10" );

    groupBox12Layout->addWidget( textLabel10, 2, 0 );

    textLabel9 = new QLabel( groupBox12, "textLabel9" );

    groupBox12Layout->addMultiCellWidget( textLabel9, 0, 1, 0, 0 );
    spacer2 = new QSpacerItem( 70, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    groupBox12Layout->addItem( spacer2, 0, 1 );
    spacer3 = new QSpacerItem( 65, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    groupBox12Layout->addItem( spacer3, 2, 1 );

    UsabilityLayout->addWidget( groupBox12, 0, 0 );
    languageChange();
    resize( QSize(547, 526).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( LongLivedPorts, SIGNAL( selectionChanged() ), this, SLOT( LongLivedPorts_selectionChanged() ) );
    connect( TrackHostExits, SIGNAL( contextMenuRequested(QListViewItem*,const QPoint&,int) ), this, SLOT( TrackHostExits_contextMenuRequested(QListViewItem*,const QPoint&,int) ) );
    connect( PushAdd, SIGNAL( clicked() ), this, SLOT( PushAdd_clicked() ) );
    connect( clearSelected, SIGNAL( clicked() ), this, SLOT( clearSelected_clicked() ) );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
Usability::~Usability()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void Usability::languageChange()
{
    setCaption( tr2i18n( "Form1" ) );
    groupBox13->setTitle( tr2i18n( "Networks Services With Long Session Times" ) );
    LongLivedPorts->header()->setLabel( 0, tr2i18n( "Services " ) );
    LongLivedPorts->clear();
    QListViewItem * item = new QListViewItem( LongLivedPorts, 0 );
    item->setText( 0, tr2i18n( "ftp" ) );

    item = new QListViewItem( LongLivedPorts, item );
    item->setText( 0, tr2i18n( "msn" ) );

    item = new QListViewItem( LongLivedPorts, item );
    item->setText( 0, tr2i18n( "jabber" ) );

    item = new QListViewItem( LongLivedPorts, item );
    item->setText( 0, tr2i18n( "aol" ) );

    item = new QListViewItem( LongLivedPorts, item );
    item->setText( 0, tr2i18n( "telnet" ) );

    item = new QListViewItem( LongLivedPorts, item );
    item->setText( 0, tr2i18n( "ssh" ) );

    clearSelected->setText( tr2i18n( "Clear Selected" ) );
    textLabel11->setText( tr2i18n( "<p> These services are known to have long session times. Select any of them that you use and this will ensure that their traffic is routed over servers that have a high-availability rating (i.e. are rarely offline)." ) );
    groupBox12->setTitle( tr2i18n( "Session Continuity" ) );
    PushAdd->setText( tr2i18n( "O&K" ) );
    PushAdd->setAccel( QKeySequence( tr2i18n( "Alt+K" ) ) );
    kcfg_TrackHostExitsExpire->setSuffix( tr2i18n( " minutes" ) );
    TrackHostExits->header()->setLabel( 0, tr2i18n( "Domains                " ) );
    textLabel10->setText( tr2i18n( "Maximum Length of Session Time:" ) );
    textLabel9->setText( tr2i18n( "<p> This is a list of domains which might give you trouble if you connect from a range of different IP addresses during a single session. Adding them to this list ensures the same IP address is presented to the domain during the session." ) );
}

#include "usability.moc"
